# Enable SNI mail services for domain

This function enables SNI mail services on the specified domains.

Warning:

Mail SNI is always enabled.
* Mail SNI is not compatible with Webmail and will not function for any Webmail connection. Webmail connections use the cPanel service SSL certificate.
* Functions that enable Mail SNI succeed with a warning that Mail SNI is always enabled.
* Functions that disable Mail SNI fail and make no changes.

Important:

  When you disable the Calendars and Contacts, Mail Receive, Web Disk, Webmail, and Web Server roles, the system disables this function.

Endpoint: GET /SSL/enable_mail_sni
Version: 11.136.0.14
Security: BasicAuth

## Query parameters:

  - `domains` (string, required)
    A pipe-delimited list of the account's domains.
    Example: "example.com|example1.com|example2.com"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "enable_mail_sni"

  - `module` (string)
    The name of the module called.
    Example: "SSL"

  - `result` (object)

  - `result.data` (object)
    Example: {"failed_domains":{"example2.com":"Sorry, example.com is not one of the domains on your account."},"updated_domains":{"example.com":1,"example1.com":1}}

  - `result.data.failed_domains` (object)
    An object that contains the domains that did not enable mail SNI.
    Example: {"example2.com":"Sorry, example.com is not one of the domains on your account."}

  - `result.data.updated_domains` (object)
    An object that contains the domains with disabled mail SNI.
    Example: {"example.com":1,"example1.com":1}

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.
    Example: ["cPanel & WHM always enables mail SNI from now on."]

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success
* 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


